From cedcde1ddd45c456f94039445e500e1164ca34f8 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 31 2020 18:47:14 +0000
Subject: [PATCH 1103/2232] Fill in missing const on operator Repr


---

diff --git a/include/cxx.h b/include/cxx.h
index 0373a38..7b332b4 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -81,7 +81,7 @@ public:
     size_t len;
   };
   Str(Repr) noexcept;
-  explicit operator Repr() noexcept;
+  explicit operator Repr() const noexcept;
 
 private:
   Repr repr;
@@ -112,7 +112,7 @@ public:
     size_t len;
   };
   Slice(Repr) noexcept;
-  explicit operator Repr() noexcept;
+  explicit operator Repr() const noexcept;
 
 private:
   Repr repr;
@@ -348,7 +348,7 @@ template <typename T>
 Slice<T>::Slice(Repr repr_) noexcept : repr(repr_) {}
 
 template <typename T>
-Slice<T>::operator Repr() noexcept {
+Slice<T>::operator Repr() const noexcept {
   return this->repr;
 }
 #endif // CXXBRIDGE05_RUST_SLICE
diff --git a/src/cxx.cc b/src/cxx.cc
index a423df6..254072e 100644
--- a/src/cxx.cc
+++ b/src/cxx.cc
@@ -159,7 +159,7 @@ size_t Str::length() const noexcept { return this->repr.len; }
 
 Str::Str(Repr repr_) noexcept : repr(repr_) {}
 
-Str::operator Repr() noexcept { return this->repr; }
+Str::operator Repr() const noexcept { return this->repr; }
 
 std::ostream &operator<<(std::ostream &os, const Str &s) {
   os.write(s.data(), s.size());

